Subject: Re: Num of Nbrs and MTU size in hello pkts : OSPFv2

From: alok <[email-masked]>
Date: Thu, 13 Feb 2003 11:13:03 +0530

a slight clarification

that DF bit should read as "fragment offset bits"
 :o)
sorry

----- Original Message -----
From: alok <[email-masked]>
To: <[email-masked]>
Sent: Thursday, February 13, 2003 11:00 AM
Subject: Re: Num of Nbrs and MTU size in hello pkts : OSPFv2

> hi,
>
> incase of a "hello" per se, i dont see how one evens run into MTU
> issues..the hello packet is not that big (only router specific info)
>
> i think may come about in DD and LSUpdates etc...which pass the LSA
info....
>
> the issues may come like this:
>
> if i have a MPLS- PPVPN from A to B
>
> the "label stacking" causes the frame size to grow
> so we reach an MTU of above 1500 (whatever the value)
> now if the routing nodes in the core (the LSRs) dont accomodate this
...the
> edge has no way of knowing that the core has a drop in MTU....right?
> and Labels in MPLS dont have DF bits :o) so you "cant fragment" there on
the
> "core".....
>
> now what?
>
> you have to make sure the MTU accomodates these "labelstacks" in the core
> ...but even now fragmentation using DF bits in IP header is ruled out
> ..right?
>
> -rgds
> Alok
> ----- Original Message -----
> From: Shankar Agarwal <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, February 12, 2003 11:41 PM
> Subject: Re: Num of Nbrs and MTU size in hello pkts : OSPFv2
>
>
> > I am not sure how the different implementations will behave in this
> > case. But as far as RFC is concerned. It says in section 4.3 that each
> > protocol packet can be broken into small protocol packet. But i am not
> > sure in case of Hello. But then we can use Ip Fragmentation for Hello
> > Packet and no one stops us from sending an IP packet greater than then
> > MTU.
> >
> > alok wrote:
> > >
> > > ideally, you would have to build flow control on top of OSPF?
> > >
> > > ----- Original Message -----
> > > From: Erblichs <[email-masked]>
> > > To: <[email-masked]>
> > > Sent: Wednesday, February 12, 2003 11:02 PM
> > > Subject: Num of Nbrs and MTU size in hello pkts : OSPFv2
> > >
> > > > Group,
> > > >
> > > >         I guess you could say that I have a dumb question.
> > > >
> > > >         If a DR wanted to support say 400+ adjs with a standard
> > > >         Ethernet 1.5 MTU, is it acceptable to send out more
> > > >         than 1 hello describing all of its nbrs?
> > > >
> > > >         Note: each nbr id would consume 4 bytes and thus
> > > >         the length of the 1 pkt would be greater than MTU size.
> > > >
> > > >         I am assuming that 2 pkts per hello interval would
> > > >         be transmitted.
> > > >
> > > >         It is that I just don't remember any RFC describing
> > > >         this condition.
> > > >
> > > >         Pointers please...
> > > >
> > > >         Thanks,
> > > >
> > > >         Mitchell Erblich
> > > >         Sr. Software Engineer
> > > > `       ======================
> > > >
> >
>
>